Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#3552 closed defect (fixed)

cpu usage error in SMP mode

Reported by: zhengxiaojun Owned by: Chris Johns
Priority: normal Milestone: 5.1
Component: shell Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

  • CPU load dispaly error in SMP mode

Load Average: 100.510% Load: 100.966% Idle: 99.033%

In fact,CPU is doing nothing.

  • priority display unreadable in SMP mode
    in diffrent Schedulers priority is map to a core priority, I think unmap

maybe reasonable when display the infomation

I create a patch about this,see the attachment.

Attachments (1)

cpuusagetop.patch (1.8 KB) - added by zhengxiaojun on 10/17/18 at 05:38:48.

Download all attachments as: .zip

Change History (3)

Changed on 10/17/18 at 05:38:48 by zhengxiaojun

Attachment: cpuusagetop.patch added

comment:1 Changed on 10/19/18 at 00:11:38 by Chris Johns

Owner: set to Chris Johns
Status: newaccepted

comment:2 Changed on 12/19/19 at 13:21:22 by Chris Johns <chrisj@…>

Resolution: fixed
Status: acceptedclosed

In [changeset:"c737748bb1a5de04b0f7abdb526fc91d8835b546/rtems" c737748b/rtems]:

libmisc/top: Fix the idle time and priorities on SMP

  • This patch is based on the patch attached to #3552 submitted by jameszxj.

Closes #3552

Note: See TracTickets for help on using tickets.